SuSE 11.1 Security Update : CUPS (SAT Patch Number 5180)

This script is Copyright (C) 2011-2013 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 11 host is missing one or more security updates.

Description :

This update fixes the following security issues :

- 601830: CSRF via admin web interface. (CVE-2010-0540)

- 680210: users in group 'lp' can overwrite arbitrary
files. (CVE-2010-2431)

- 680212: denial of service via cupsDoAuthentication.
(CVE-2010-2432)

- 711490: heap overflow in gif decoder. (CVE-2011-2896)

- 715643: heap overflow in gif decoder (CVE-2011-3170)

See also :

https://bugzilla.novell.com/show_bug.cgi?id=601830
https://bugzilla.novell.com/show_bug.cgi?id=680210
https://bugzilla.novell.com/show_bug.cgi?id=680212
https://bugzilla.novell.com/show_bug.cgi?id=700987
https://bugzilla.novell.com/show_bug.cgi?id=711490
https://bugzilla.novell.com/show_bug.cgi?id=715643
http://support.novell.com/security/cve/CVE-2010-0540.html
http://support.novell.com/security/cve/CVE-2010-2431.html
http://support.novell.com/security/cve/CVE-2010-2432.html
http://support.novell.com/security/cve/CVE-2011-2896.html
http://support.novell.com/security/cve/CVE-2011-3170.html

Solution :

Apply SAT patch number 5180.

Risk factor :

Medium / CVSS Base Score : 6.0
(CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 57094 ()

Bugtraq ID:

CVE ID: CVE-2010-0540
CVE-2010-2431
CVE-2010-2432
CVE-2011-2896
CVE-2011-3170

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now